/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ste.tmc.verkehrsanalyse;

import de.bsvrz.ste.tmc.allgemein.StoerfallZustand;

public class StoerfallDaten {
	public StoerfallDaten(final Stoerfall stoerfall, final StoerfallZustand zustand, final int prioritaet, final long start, final long ende) {
		this.stoerfall = stoerfall;
		this.zustand = zustand;
		this.prioritaet = prioritaet;
		this.start = start;
		this.ende = ende;
	}

	public StoerfallDaten(final StoerfallDaten daten) {
		this(daten.stoerfall, daten.zustand, daten.prioritaet, daten.start, daten.ende);
	}

	public boolean equals(final Object obj) {
		if (obj instanceof StoerfallDaten) {
			final StoerfallDaten daten = (StoerfallDaten) obj;
			return (stoerfall == daten.stoerfall && zustand == daten.zustand && prioritaet == daten.prioritaet
					&& start == daten.start && ende == daten.ende);
		} else {
			return false;
		}
	}

	public final Stoerfall stoerfall;

	public final StoerfallZustand zustand;

	public final int prioritaet;

	public final long start;

	public final long ende;

}
